/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Includes
#ifndef _SPLASHSTATE_H
#define _SPLASHSTATE_H

#include "Engine.h"
#include "WorldManager.h"
#include "WorldState.h"

class SplashState : public CGameState
{
	public:
      void Init();
      void Cleanup();

      void Pause();
      void Resume();

      void HandleEvents(StateManager * game);
      void Update(StateManager * game);
      void Draw(StateManager * game);

      static SplashState* Instance()
      {
         return &m_SplashState;
      }
      
      void FadeWhite();
      void UnFadeWhite();
      
	protected:
      SplashState() { }

	private:
      static SplashState m_SplashState;
      CSprite spr1, spr2;
      int timer;
      bool isFadingWhite, isUnFadingWhite;
      int fadeWhiteVal, fadeUnWhiteVal;
			//Transition depuis le menu
		u8 alphaFade;
		bool stopFade;
};

#endif
